nix3-nar-ls(1)

Warning: This program is experimental and its interface is subject to change.

Name
nix nar ls - show information about a path inside a NAR file

Synopsis
nix nar ls [option…] nar path

Examples

•   To list a specific file in a NAR:

    # nix nar ls -l ./hello.nar /bin/hello
    -r-xr-xr-x                38184 hello

•   To recursively list the contents of a directory inside a NAR, in JSON format:

    # nix nar ls --json -R ./hello.nar /bin
    {"type":"directory","entries":{"hello":{"type":"regular","size":38184,"executable":true,"narOffset":400}}}

Description
This command shows information about a path inside NAR file nar.

Options

•   --directory / -d
    Show directories rather than their contents.

•   --json
    Produce output in JSON format, suitable for consumption by another program.

•   --long / -l
    Show detailed file information.

•   --recursive / -R
    List subdirectories recursively.